Bug 1479100 - F26 updates broke USB Wi-Fi but F26 live ok
F26 updates broke USB Wi-Fi but F26 live ok
Status: NEW
Product: Fedora
Classification: Fedora
Component: 0ad (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 20:37 EDT by Nick Levinson
Modified: 2017-08-15 20:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1438228 None None None 2017-08-07 20:37 EDT

  None (edit)
Description Nick Levinson 2017-08-07 20:37:47 EDT
Description of problem: After recently installing Fedora 26 64-bit for a workstation, USB Wi-Fi worked. It still works with the live disc. However, with the hard drive installation and after updating it, F26 stopped working with USB Wi-Fi.

Version-Release number of selected component (if applicable): Unknown which component/s.

How reproducible: Misbehavior consistent.

Steps to Reproduce:
1. In BIOS, internal Wi-Fi can be on. For my laptop (Dell Latitude E4300), that meant both WLAN and WWAN.
2. Install F26 to the hard drive. I did this with <Fedora-Workstation-Live-x86_64-26-1-5.iso>.
3. Accept the many updates available through August 6, 2017 (I don't know if there were more since then).
4. Add apps, but only if available through the Software app.
5. Connect a USB Wi-Fi NIC. Mine does not need installation of software (it apparently uses a driver already found in many modern Linux distros, including F26). Both ports responded the same way, so port choice won't matter. If the NIC has an LED, check that it's on, or wait till it comes on.
6. Check that the Network app reports that Wi-Fi is on.
7. Select a network. It doesn't matter if a password is required or not. If it is required, enter it. (I had this problem with two networks, one password-accessed and the other not, miles apart.) Check that the computer says that you're in the network.
8. Check in the Network app that the network's signal quality is good or excellent.
9. By this time, the desktop's top panel's right-end network icon should be the one with bright arcs. Instead, it's a question mark icon.
10. Try to use a browser. I tried the updated Firefox 54.0.1 64-bit. I couldn't visit any website.
11. Repeat with every kernel. For my case, those were 4.11.11-300.fc26.x86_64, 4.11.8-300.fc26.x86_64 (which was in the original installation), and 0-rescue-7b0d88bd51de428b86082867a18a8c5b.
12. Repeat with, in BIOS, wireless (WLAN and WWAN) turned off and with every kernel. For me, that got nothing. With the USB Wi-Fi NIC and the rescue kernel the question mark icon came up with the browser not getting a site.

Comparison: With the live F26 booted from DVD-R and using the same hardware, the traditional port, and Firefox 54.0 64-bit on the F26 disc, I visit websites.

Actual results: Trying to use USB Wi-Fi produces question mark icon and inability to surf Web, since F26 was updated.

Expected results: USB Wi-Fi should work as it did when F26 was installed without having been updated.

Additional info:
1. Component is almost certainly wrong. I was unable to control the Bugzilla process for that field (probably a script problem) and it rejected the component being unknown..
2. For a different problem that led to a question mark icon with another Linux distro, advice received was alt-F2 r, but testing that only told me that restart is not available in Wayland, and anyway this shouldn't be a Wayland problem.
3. I doubt my choice of laptop matters.
4. Possibly related is bug 1438228.

Diagnosis, tentative, by reporter: So this seems to be an F26 updates regression and it probably does not depend on the kernel.
Comment 1 Nick Levinson 2017-08-15 20:31:09 EDT
I'm told a similar problem was recently reported to a Linux-compatible USB Wi-Fi hardware vendor regarding Debian (Linux). Both distros having problems starting at about the same time suggests that an upstream component is what was recently changed, breaking functionality.

For this bug report, I tried to select the proper component, but ctrl-shift-a is intercepted by Firefox for something else and the menu does not operate like standard menus, causing problems, so I may still have the wrong component.

Note You need to log in before you can comment on or make changes to this bug.